// middleware/adminMiddleware.js
const adminMiddleware = (req, res, next) => {
    if (!req.user) {
        return res.status(401).json({
            ok: false,
            message: "인증 정보가 없습니다.",
        });
    }
    console.log(req.user);
    if (req.user.is_admin !== 'Y') {
        return res.status(403).json({
            ok: false,
            message: "관리자 권한이 필요합니다.",
        });
    }

    next();
};

module.exports = adminMiddleware;